### Class

# FwupdPlugin PefileFirmware

#### Description [src]

    class FwupdPlugin.PefileFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A PE file consists of a Microsoft MS-DOS stub, the PE signature, the COFF file header, and an optional header, followed by section data.

Documented: https://learn.microsoft.com/en-gb/windows/win32/debug/pe-format.

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_pefile_firmware_new

Creates a new `FuPefileFirmware`.

since: 1.8.10

#### Instance methods

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginPefileFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.